#include <lib/std.mi>

#define ROTATION_LAYER_VAR MyVar
#include "rotationlayer.m"

System.onScriptLoaded() {
  _MyVarInit(getScriptGroup(), "volume knob");
  double s = 360-((getVolume()/255)*180);
  _MyVarRotateDegree(s);
}

System.onVolumeChanged(int vol) {
  double s = 360-((vol/255)*180);
  _MyVarRotateDegree(s);
}